package samegame;

public class UndoInfo {
    public int tilesLeft = 0;
    public int score = 0;
    public int tiles[][] = new int[TileWidget.TILES_WIDE][TileWidget.TILES_HIGH];

    public UndoInfo(int tiles[][], int score, int tilesLeft) {
	for (int i = 0 ; i < TileWidget.TILES_WIDE ; i++)
	    for (int j = 0 ; j < TileWidget.TILES_HIGH ; j++)
		this.tiles[i][j] = tiles[i][j];

	this.score = score;
	this.tilesLeft = tilesLeft;
    }


}

